Bio::Taxonomy::Node(3)

NAME
Bio::Taxonomy::Node - A node in a represented taxonomy

SYNOPSIS
  use Bio::Taxonomy::Node;
  # typically you will get a Node from a Bio::DB::Taxonomy object
  # but here is how you initialize one
  my $node = new Bio::Taxonomy::Node(-name      => $name,
                                     -object_id => $oid,
                                     -parent_id => $pid,
                                     -rank   => $rank,
                                     -division  => $div,
                                     -dbh       => $dbh);

  my $dbh = new Bio::DB::Taxonomy(-source   => 'flatfile',
                                  -directory=> '/tmp',
                                  -nodesfile=> '/path/to/nodes.dmp',
                                  -namesfile=> '/path/to/names.dmp');
  my $hum_node = $dbh->get_Taxonomy_Node(-name => 'Homo sapiens');
  my $hum_node2= $dbh->get_Taxonomy_Node(-taxonid => '9606');

  print "rank is ", $hum_node->rank, "\n";
  print "classification is ", join(" ", $hum_node->classification),"\n";
  print "division is ", $node->division, "\n";

DESCRIPTION
This is the next generation (for Bioperl) of representing Taxonomy information. Previously all information was managed by a single object called Bio::Species. This new implementation allows representation of the intermediete nodes not just the species nodes and can relate their connections.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Jason Stajich
Email jason-at-bioperl-dot-org

Describe contact details here

CONTRIBUTORS
Juguang Xiao, juguang@tll.org.sg

Additional contributors names and emails here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Taxonomy::Node();
 Function: Builds a new Bio::Taxonomy::Node object
 Returns : an instance of Bio::Taxonomy::Node
 Args    : -dbh       => a reference to a Bio::DB::Taxonomy object
           -name      => a string representing the node name
           -object_id => unique identifier - typically NCBI Taxid

  db_handle
 Title   : db_handle
 Usage   : $obj->db_handle($newval)
 Function: Get/Set Bio::DB::Taxonomy Handle
 Returns : value of db_handle (a scalar) (Bio::DB::Taxonomy object)
 Args    : on set, new value (a scalar or undef, optional) Bio::DB::Taxonomy object

  factory
  Title:    factory
  Usage:    $factory->factory($newval);
  Function: Get/Set Bio::Taxonomy::FactoryI implementation
  Returns:  Bio:;Taxonomy::FactoryI
  Args:     Bio::Taxonomy::FactoryI

  rank
 Title   : rank
 Usage   : $obj->rank($newval)
 Function:
 Example :
 Returns : value of rank (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  object_id
 Title   : object_id
 Usage   : $obj->object_id($newval)
 Function:
 Example :
 Returns : value of object_id (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  version
 Title   : version
 Usage   : $obj->version($newval)
 Function:
 Example :
 Returns : value of version (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  authority
 Title   : authority
 Usage   : $obj->authority($newval)
 Function:
 Example :
 Returns : value of authority (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  namespace
 Title   : namespace
 Usage   : $obj->namespace($newval)
 Function:
 Example :
 Returns : value of namespace (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  parent_id
 Title   : parent_id
 Usage   : $obj->parent_id($newval)
 Function:
 Example :
 Returns : value of parent_id (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  get_Parent_Node
 Title   : get_Parent_Node
 Usage   : my $parentnode = $node->get_Parent_Node()
 Function: Retrieve the full Parent node from the database
 Returns : Bio::Taxonomy::Node
 Args    : none

  node_name
 Title   : node_name
 Usage   : $obj->node_name($newval)
 Function:
 Example :
 Returns : value of node_name (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  classification
 Title   : classification
 Usage   : $self->classification(@class_array);
           @classification = $self->classification();
 Function: Fills Returns the classification list in
           the object.  The array provided must be in
           the order SPECIES, GENUS ---> KINGDOM.
           Checks are made that species is in lower case,
           and all other elements are in title case.
 Returns : Classification array
 Args    : none - this can be set directly

  division
 Title   : division
 Usage   : $obj->division($newval)
 Function:
 Example :
 Returns : value of division (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  show_all
 Title   : show_all
 Usage   : $obj->show_all($newval)
 Function: Boolean flag whether or not we should show all intermediete
           nodes that do not have actual ranks.
 Returns : value of show_all (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  name
  Title:    name
  Usage:    $obj->name('scientific', 'sapiens');
            $obj->name('common', 'human', 'man');
            my @names = @{$obj->name('common')};
  Function: Get and set the names
  Returns:  names (a array reference)
  Args:     Arg1 => the name_class. You can assign any text, but the words
                'scientific' and 'common' have the special meaning, as
                scientific name and common name, respectively.
            Arg2 .. => the names

  scientific_name
  Title:    scientific_name
  Usage:    my $new_val = $obj->scientific_name($newval);
  Function: Get/Set the scientific name
  Returns:  a scalar text value
  Args:     a scalar text value

  parent_taxon_id
  Title   : parent_taxon_id
  Usage   : $self->parent_taxon_id($newval);
            $val = $self->parent_taxon_id;
  Function: Get/Set for parent_taxon_id
  Return  :
  Args    :